/*	Copyright (C) 2003-2010 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#include "houdini.pmh"
#include "platform/dlCore.cc"

//* Houdini DSO
#include <UT/UT_DSOVersion.h>

extern "C"
{

FE_DL_EXPORT void HoudiniDSOInit(UT_DSOInfo& dsoinfo)
{
	//* force Houdini to load with RTLD_GLOBAL (needed for dynamic_cast<>)
	dsoinfo.loadGlobal=true;
}

FE_DL_EXPORT void ListDependencies(fe::List<fe::String*>& list)
{
//	printf("HoudiniDL ListDependencies\n");
	list.append(new fe::String("fexOperatorDL"));
	list.append(new fe::String("fexSurfaceDL"));
}

FE_DL_EXPORT fe::Library* CreateLibrary(fe::sp<fe::Master>)
{
//	printf("HoudiniDL CreateLibrary\n");
	fe::Library *pLibrary = new fe::Library();
	pLibrary->add<fe::SurfaceTrianglesHoudini>(
			"SurfaceI.SurfaceTrianglesHoudini.fe");
	pLibrary->add<fe::SurfaceAccessibleHoudini>(
			"SurfaceAccessibleI.SurfaceAccessibleHoudini.fe");
	pLibrary->add<fe::HoudiniDraw>("DrawI.HoudiniDraw.fe");
	return pLibrary;
}

}
